Bug 204361 - databases/py-redis: empty html documentation in poudriere
Summary: databases/py-redis: empty html documentation in poudriere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-07 16:23 UTC by Jimmy Olgeni
Modified: 2015-12-26 06:45 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
poudriere test run (28.82 KB, text/x-log)
2015-11-07 16:23 UTC, Jimmy Olgeni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2015-11-07 16:23:10 UTC
Created attachment 162882 [details]
poudriere test run

When building in poudriere, a few build exceptions are displayed and the resulting HTML docs are missing the actual content, even if there is no build failure.

/wrkdirs/usr/ports/databases/py-redis/work/redis-py-2.10.3/apidocs/redis.rst:10: WARNING: autodoc: failed to import module u'redis.client'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/sphinx/ext/autodoc.py", line 385, in import_object
    __import__(self.modname)
ImportError: No module named redis.client

The build is ok on a live system if py-redis is already installed.

Apparently, the doc build process is unable to find the redis python modules in work/ and will work only if they are also installed in $LOCALBASE.
Comment 1 Jimmy Olgeni freebsd_committer 2015-11-07 16:23:58 UTC
Also, 2.10.5 is out :)

(same issue there)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-07 16:39:59 UTC
Wanna take it? :)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 05:48:28 UTC
Ping @Jimmy re comment 2
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-26 06:36:34 UTC
I can't figure out how to make the documentation builds work without hacking syspath stuff, so I'll be removing the DOCS option in the short term.
Comment 5 commit-hook freebsd_committer 2015-12-26 06:45:19 UTC
A commit references this bug:

Author: koobs
Date: Sat Dec 26 06:44:30 UTC 2015
New revision: 404494
URL: https://svnweb.freebsd.org/changeset/ports/404494

Log:
  databases/py-redis: Update to 2.10.5

  - Update PORTVERSION and distinfo checksum (2.10.5)
  - Remove DOCS option, they dont build unless py-redis is installed [1]
  - Add LICENSE_FILE
  - Add TEST_DEPENDS and convert test target

  Changes:

    https://github.com/andymccurdy/redis-py/blob/2.10.5/CHANGES

  PR:		204361 [1]
  Reported by:	olgeni [1]

Changes:
  head/databases/py-redis/Makefile
  head/databases/py-redis/distinfo
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-26 06:45:55 UTC
Committed, thanks Jimmy!